# InquiryPriceInstanceBandwidth

## 1. API Description

This API (InquiryPriceInstanceBandwidth) is used to query the price of modified instance bandwidth.

{% hint style="info" %} <mark style="color:blue;">**Note**</mark>

* <mark style="color:blue;">Use this API only when</mark> [<mark style="color:purple;">`InternetChargeType`</mark>](/api-reference/compute/bmc/datastructure.md#internetchargetype) <mark style="color:blue;">is</mark> <mark style="color:blue;">`ByBandwidth`</mark><mark style="color:blue;">. When the target bandwidth > default bandwidth, a price returns.</mark>
* <mark style="color:blue;">Price structure varies by</mark> <mark style="color:blue;">`instanceChargeType`</mark><mark style="color:blue;">.</mark>
  {% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name   | Required | Type    | Description                                                                                                                  |
| ---------------- | -------- | ------- | ---------------------------------------------------------------------------------------------------------------------------- |
| instanceId       | Yes      | String  | <p>Instance ID.</p><p>To obtain the instance ID, you can call DescribeInstances and look for instanceId in the response.</p> |
| bandwidthOutMbps | Yes      | Integer | <p>Bandwidth size.</p><p>Value range: \[1, +)</p>                                                                            |

## 3. Output Parameters

| Parameter Name | Type                                                                        | Description                                                                                                                                                     |
| -------------- | --------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| requestId      | String                                                                      | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p>                                           |
| bandwidthPrice | Array of [PriceItem](/api-reference/compute/bmc/datastructure.md#priceitem) | <p>Price of public bandwidth.</p><p>Kinds of prices may exist. For example, traffic package billing method may contain the package price and overage price.</p> |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Query the price of modified instance bandwidth**

```json
POST /api/v2/bmc HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: InquiryPriceInstanceBandwidth
<Common Request Params>

Request：
{
  "instanceId": "instanceId",
  "bandwidthOutMbps": 100
}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {  
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
    "bandwidthPrice": [
        {
            "discount": 100.0,
            "discountPrice": null,
            "originalPrice": null,
            "unitPrice": 1.32,
            "discountUnitPrice": 1.32,
            "chargeUnit": "HOUR",
            "stepPrices": null
         }
     ]
  }
} 
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code                                              | Description                                                                                                              |
| ---------------- | ------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------ |
| 403              | OPERATION\_DENIED\_INTERNET\_CHARGE\_TYPE\_NOT\_SUPPORT | The specified [InternetChargeType](/api-reference/compute/bmc/datastructure.md#internetchargetype) is not `ByBandwidth`. |
| 404              | INVALID\_INSTANCE\_NOT\_FOUND                           | Instance does not exist.                                                                                                 |
| 400              | INVALID\_INSTANCE\_TYPE\_ZONE\_NO\_SELL                 | Traffic package of the specified instance is not currently available for sale.                                           |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/compute/bmc/bare-metal-instance/inquirypriceinstancebandwidth.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
